[Feature] Haswell-ULT - I2C support

Bug #1031166 reported by Yingying Zhao on 2012-07-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel
Undecided
Unassigned
linux (Ubuntu)
Undecided
Tim Gardner
Raring
Undecided
Tim Gardner

Bug Description

I2C is a two-wire bus for inter-IC communication. Two wires (or lines), serial data (SDA), and serial clock (SCL), carry information between the connected devices. Each device is recognized by a unique address (whether Accelerometer, stereo DAC, or touch screen) and can operate as either a transmitter or receiver, depending on the device function.

I2C support for Haswell ULT is needed for all peripheral devices connected to I2C bus like sensors, touchscreens etc.

Upstream Schedule:
WW02'2013

Related branches

Yingying Zhao (yingying-zhao) wrote :

The I2C support is done in kernel 3.9:

commit b61b14154b19e1ef1da9c1e283f0cf93470e0c70
Author: Mika Westerberg <email address hidden>
Date: Thu Jan 17 12:31:07 2013 +0200

    i2c-designware: add support for Intel Lynxpoint

commit 7272194ed391f9db8bb320c50d715e7e6bba8ff3
Author: Mika Westerberg <email address hidden>
Date: Thu Jan 17 12:31:06 2013 +0200

    i2c-designware: add minimal support for runtime PM

commit 17a76b4b32aca7c19df6988213dfe2eb4b631431
Author: Mika Westerberg <email address hidden>
Date: Thu Jan 17 12:31:05 2013 +0200

    i2c-designware: always set the STOP bit after last byte

commit 9dd3162deb67e9d2dc08af8bedea61c41fae85a8
Author: Mika Westerberg <email address hidden>
Date: Thu Jan 17 12:31:04 2013 +0200

    i2c-designware: add missing MODULE_LICENSE

Changed in intel:
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2013-03-05
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2013-03-05
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2013-03-05
information type: Private → Public
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-11.20

---------------
linux (3.8.0-11.20) raring; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1147659
  * [Config] CONFIG_SPI_PXA2XX_PCI=m
    - LP: #1031169
  * CONFIG_SATA_ZPODD=y
    - LP: #1031180
  * CONFIG_GPIO_LYNXPOINT=y
    - LP: #1031174

  [ Upstream Kernel Changes ]

  * spi/pxa2xx-pci: switch to use pcim_* interfaces
    - LP: #1031169
  * spi/pxa2xx: embed the ssp_device to platform data
    - LP: #1031169
  * spi/pxa2xx: allow building on a 64-bit kernel
    - LP: #1031169
  * spi/pxa2xx: fix warnings when compiling a 64-bit kernel
    - LP: #1031169
  * spi/pxa2xx: convert to the pump message infrastructure
    - LP: #1031169
  * spi/pxa2xx: convert to the common clk framework
    - LP: #1031169
  * spi/pxa2xx: break out the private DMA API usage into a separate file
    - LP: #1031169
  * spi/pxa2xx: add support for DMA engine
    - LP: #1031169
  * spi/pxa2xx: add support for runtime PM
    - LP: #1031169
  * spi/pxa2xx: add support for SPI_LOOP
    - LP: #1031169
  * spi/pxa2xx: add support for Intel Low Power Subsystem SPI
    - LP: #1031169
  * spi/pxa2xx: add support for Lynxpoint SPI controllers
    - LP: #1031169
  * i2c-designware: always set the STOP bit after last byte
    - LP: #1031166
  * i2c-designware: add minimal support for runtime PM
    - LP: #1031166
  * i2c-designware: add support for Intel Lynxpoint
    - LP: #1031166
  * remove can_power_off flag from scsi_device
    - LP: #1031180
  * sr: support runtime pm
    - LP: #1031180
  * libata: identify and init ZPODD devices
    - LP: #1031180
  * libata: move acpi notification code to zpodd
    - LP: #1031180
  * libata: check zero power ready status for ZPODD
    - LP: #1031180
  * libata: handle power transition of ODD
    - LP: #1031180
  * libata: expose pm qos flags for ata device
    - LP: #1031180
  * libata: do not suspend port if normal ODD is attached
    - LP: #1031180
  * pm: differentiate system and runtime pm for ata port
    - LP: #1031180
  * PM code cleanup for ata port
    - LP: #1031180
  * scsi: no poll when ODD is powered off
    - LP: #1031180
  * Set proper SK when CK_COND is set.
    - LP: #1031180
  * fix smatch warning for zpodd_wake_dev
    - LP: #1031180
  * gpio/lynxpoint: add chipset gpio driver.
    - LP: #1031174
 -- Tim Gardner <email address hidden> Tue, 05 Mar 2013 05:42:44 -0700

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Changed in intel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers